Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.concurrent
Interface RejectedExecutionHandler

All Known Implementing Classes:
  ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy

    public interface RejectedExecutionHandler

A handler for tasks that cannot be executed by a `ThreadPoolExecutor`.

Since:
  1.5

Method Summary
`void` | `rejectedExecution(Runnable r, ThreadPoolExecutor executor)` Method that may be invoked by a `ThreadPoolExecutor` when `execute` cannot accept a task.

Method Detail

### rejectedExecution

    void rejectedExecution(Runnable r,
                           ThreadPoolExecutor executor)

  Method that may be invoked by a `ThreadPoolExecutor` when `execute` cannot accept a task. This may occur when no more threads or queue slots are available because their bounds would be exceeded, or upon shutdown of the Executor. In the absence other alternatives, the method may throw an unchecked `RejectedExecutionException`, which will be propagated to the caller of `execute`.

  Parameters:
    `r` - the runnable task requested to be executed
    `executor` - the executor attempting to execute this task
  Throws:
    `RejectedExecutionException` - if there is no remedy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.